<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__wdt__functions" kind="group">
    <compoundname>group_wdt_functions</compoundname>
    <title>Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__wdt__functions_1gaac6f64babfb1855f9ba8aecccc19ecb4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_WDT_Init</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_WDT_Init</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Initializes the Watchdog timer to its default state. </para>        </briefdescription>
        <detaileddescription>
<para>The given default setting of the WDT: The WDT is unlocked and disabled. The WDT match value is 4096. None of ignore bits are set: the whole WDT counter bits are checked against the match value.</para><para><simplesect kind="par"><title>Side Effects</title><para>This function clears the WDT interrupt. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="59" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_wdt.c" bodystart="49" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" line="340" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__wdt__functions_1ga82aec7e454d05d03dfd1d6fd5e573d5e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_WDT_Enable</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_WDT_Enable</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Enables the Watchdog timer. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="par"><title>Side Effects</title><para>This function clears the WDT interrupt. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="371" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" bodystart="367" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" line="341" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__wdt__functions_1ga709f597d56e7f7fb6717d5ff671491fa" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_WDT_Disable</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_WDT_Disable</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Disables the Watchdog timer. </para>        </briefdescription>
        <detaileddescription>
<para>The Watchdog timer should be unlocked before being disabled. Call the <ref kindref="member" refid="group__group__wdt__functions_1ga51094ce9149f69553b6348eccbd89667">Cy_WDT_Unlock()</ref> API to unlock the WDT. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="385" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" bodystart="382" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" line="342" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__wdt__functions_1gaec9bd8d1439389a46cdd2dcadc8e987d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_WDT_Lock</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_WDT_Lock</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Locks out configuration changes to the Watchdog Timer register. </para>        </briefdescription>
        <detaileddescription>
<para>After this function is called, the WDT configuration cannot be changed until <ref kindref="member" refid="group__group__wdt__functions_1ga51094ce9149f69553b6348eccbd89667">Cy_WDT_Unlock()</ref> is called.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;The WDT lock state is not retained during system Deep Sleep. After the wakeup from system Deep Sleep the WDT is locked. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="79" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_wdt.c" bodystart="76" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" line="343" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__wdt__functions_1ga51094ce9149f69553b6348eccbd89667" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_WDT_Unlock</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_WDT_Unlock</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Unlocks the Watchdog Timer configuration register. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;The WDT lock state is not retained during system Deep Sleep. After the wakeup from system Deep Sleep the WDT is locked. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="117" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_wdt.c" bodystart="111" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" line="344" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__wdt__functions_1ga6a98fa4f1133264ca3add72381e7bb22" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool Cy_WDT_Locked</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_WDT_Locked</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Returns the WDT lock state. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>True - if WDT is locked. False - if WDT is unlocked. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="97" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_wdt.c" bodystart="93" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" line="345" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__wdt__functions_1ga1e7105cb2482131f03140a223caf5cc1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_WDT_GetCount</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_WDT_GetCount</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Reads the current WDT counter value. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>A live counter value. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="432" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" bodystart="429" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" line="346" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__wdt__functions_1ga1e707a8236e6dcd90eede7e726a2648f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_WDT_SetMatch</definition>
        <argsstring>(uint32_t match)</argsstring>
        <name>Cy_WDT_SetMatch</name>
        <param>
          <type>uint32_t</type>
          <declname>match</declname>
        </param>
        <briefdescription>
<para>Configures the WDT counter match comparison value. </para>        </briefdescription>
        <detaileddescription>
<para>The Watchdog timer should be unlocked before changing the match value. Call the <ref kindref="member" refid="group__group__wdt__functions_1ga51094ce9149f69553b6348eccbd89667">Cy_WDT_Unlock()</ref> function to unlock the WDT.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>match</parametername>
</parameternamelist>
<parameterdescription>
<para>The valid valid range is [0-65535]. The value to be used to match against the counter. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="141" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_wdt.c" bodystart="133" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" line="347" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__wdt__functions_1ga77552627bbcbe8ded86f52b67f5f12b3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_WDT_GetMatch</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_WDT_GetMatch</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Reads the WDT counter match comparison value. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>The counter match value. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="417" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" bodystart="414" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" line="348" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__wdt__functions_1gafad1413ff11cfb3e3e2b5d9854dc793e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_WDT_SetIgnoreBits</definition>
        <argsstring>(uint32_t bitsNum)</argsstring>
        <name>Cy_WDT_SetIgnoreBits</name>
        <param>
          <type>uint32_t</type>
          <declname>bitsNum</declname>
        </param>
        <briefdescription>
<para>Configures the number of the most significant bits of the Watchdog timer that are not checked against the match. </para>        </briefdescription>
        <detaileddescription>
<para>Unlock the Watchdog timer before ignoring the bits setting. Call the <ref kindref="member" refid="group__group__wdt__functions_1ga51094ce9149f69553b6348eccbd89667">Cy_WDT_Unlock()</ref> API to unlock the WDT.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>bitsNum</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of the most significant bits. The valid range is [0-15]. The bitsNum over 12 are considered as 12.</para></parameterdescription>
</parameteritem>
</parameterlist>
The value of bitsNum controls the time-to-reset of the Watchdog timer This happens after 3 successive matches.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function changes the WDT interrupt period, therefore the device can go into an infinite WDT reset loop. This may happen if a WDT reset occurs faster that a device start-up. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="172" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_wdt.c" bodystart="164" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" line="349" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__wdt__functions_1ga3ec661a60927ab0c15e654540f55c95b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_WDT_GetIgnoreBits</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_WDT_GetIgnoreBits</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Reads the number of the most significant bits of the Watchdog timer that are not checked against the match. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>The number of the most significant bits. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="448" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" bodystart="445" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" line="350" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__wdt__functions_1gab6caa17bf5bcb0c365f60e602e653fed" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_WDT_MaskInterrupt</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_WDT_MaskInterrupt</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>After masking interrupts from the WDT, they are not passed to the CPU. </para>        </briefdescription>
        <detaileddescription>
<para>This function does not disable the WDT-reset generation. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="466" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" bodystart="459" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" line="351" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__wdt__functions_1ga38c69c98675d6024a7d73acb41b24399" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_WDT_UnmaskInterrupt</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_WDT_UnmaskInterrupt</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>After unmasking interrupts from the WDT, they are passed to CPU. </para>        </briefdescription>
        <detaileddescription>
<para>This function does not impact the reset generation. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="484" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" bodystart="477" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" line="352" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__wdt__functions_1ga727d9ae6fdba36809bf631985a3eb987" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_WDT_ClearInterrupt</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_WDT_ClearInterrupt</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Clears the WDT match flag which is set every time the WDT counter reaches a WDT match value. </para>        </briefdescription>
        <detaileddescription>
<para>Two unserviced interrupts lead to a system reset (i.e. at the third match). </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="196" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_wdt.c" bodystart="184" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" line="353" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__wdt__functions_1ga5aafcfb34e8078ae911bb42be76a8f18" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_WDT_ClearWatchdog</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_WDT_ClearWatchdog</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Clears ("feeds") the watchdog, to prevent a XRES device reset. </para>        </briefdescription>
        <detaileddescription>
<para>This function simply call <ref kindref="member" refid="group__group__wdt__functions_1ga727d9ae6fdba36809bf631985a3eb987">Cy_WDT_ClearInterrupt()</ref> function. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="210" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_wdt.c" bodystart="207" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" line="354" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__wdt__functions_1ga05f8bb5603ce46caf842bd0ad254f604" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE bool</type>
        <definition>__STATIC_INLINE bool Cy_WDT_IsEnabled</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_WDT_IsEnabled</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Reports an enable/disable state of the Watchdog timer. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para><itemizedlist>
<listitem><para>true - if the timer is enabled</para></listitem><listitem><para>false - if the timer is disabled </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="402" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" bodystart="399" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_wdt.h" line="399" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>